ClosureInvokingTestPhaseConfigurer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.test.runner.phase
[Groovy] Class ClosureInvokingTestPhaseConfigurer

    java.lang.Object
      org.codehaus.groovy.grails.test.runner.phase.ClosureInvokingTestPhaseConfigurer

All Implemented Interfaces:
  TestPhaseConfigurer

    @groovy.transform.CompileStatic
    class ClosureInvokingTestPhaseConfigurer
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`groovy.lang.Closure` | `cleanupClosure`
`groovy.lang.Closure` | `prepareClosure`

Constructor Summary
`ClosureInvokingTestPhaseConfigurer(groovy.lang.Closure prepareClosure, groovy.lang.Closure cleanupClosure)`

Method Summary
`void` | `cleanup(groovy.lang.Binding testExecutionContext, java.util.Map testOptions)`
`void` | `prepare(groovy.lang.Binding testExecutionContext, java.util.Map testOptions)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### cleanupClosure

    groovy.lang.Closure cleanupClosure

### prepareClosure

    groovy.lang.Closure prepareClosure

Constructor Detail

### ClosureInvokingTestPhaseConfigurer

    ClosureInvokingTestPhaseConfigurer(groovy.lang.Closure prepareClosure, groovy.lang.Closure cleanupClosure)

Method Detail

### cleanup

    @java.lang.Override
    void cleanup(groovy.lang.Binding testExecutionContext, java.util.Map testOptions)

### prepare

    @java.lang.Override
    void prepare(groovy.lang.Binding testExecutionContext, java.util.Map testOptions)

Groovy Documentation